<template>
<butter-text-field ref="code" label="Confirmation code" class="validation-code" :class="{visible:validationVisible}" :error="codeError" v-model="code" placeholder="000000" />
</template>
<style lang="scss" scoped>
@import 'butter-mixins';

// .validation-code {
//   opacity: 0;
// 
//   &.visible {
//     opacity: 1;
//   }
// }

</style>
<script>

const pause = (duration) => new Promise(resolve => setTimeout(resolve,duration));

export default {
  data() {
    return {
      code: null,
      validationVisible: false,
      codeError: null,
    };
  },
  watch: {
    code() {
      this.$emit('input',this.code);
    },
  },
  methods: {
    clear() {
      this.validationVisible = false;
      this.code = null;
    },
    
    focus() {
      this.$refs['code'].focus();
    },

    // hash takes { email:'foo' }, or { phone: '+18585551234' }

    async sendCode(hash) {
      // var ret = await net({
      //   url: '/wyre/brd-api/verification/send',
      //   body: hash,
      // });

      if(ret.error) return ret;

      this.validationVisible = true;

      return ret;
    },
    async checkCode(hash) {
      // var ret = await net({
      //   url: '/wyre/brd-api/verification/confirm',
      //   body: { ...hash, code: this.code }
      // });

      if(ret.error) { this.codeError = ret.error; return ret; }
      return true;
    },
  }
}

</script>
